Get a mandate signature request

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Memo Bank API MCP server": {
    "url": "https://docs.api.memo.bank/mcp"
  }
}

Close
GET /v2/mandate_signature_requests/{id}

Scope: mandate-signature-requests:read

Path parameters

  • id string(uuid) Required

    ID of the mandate signature request.

Responses

  • 200 application/json

    OK

    One of:
GET /v2/mandate_signature_requests/{id}
curl \
 --request GET 'https://api.memo.bank/v2/mandate_signature_requests/45195a6f-daa8-4bc1-9ac4-3979e72bd89d'
Response examples (200)
{
  "reference": "ABC123DEF",
  "id": "61b05c4f-3f72-4951-8c30-a2a9faaa5184",
  "scheme": "core",
  "language": "french",
  "status": "sent",
  "mode": "email",
  "is_deleted": false,
  "debtor": {
    "name": "John Doe",
    "iban": "FR2512739000308553756377J95",
    "address": {
      "street": "1 rue Rivoli",
      "postal_code": "75004",
      "city": "Paris",
      "country": "FR"
    }
  },
  "contract_reference": "CUST-1234",
  "debtor_email": "foo@bar.com",
  "email_custom_message": "Hi John Doe, here's a collection mandate to sign."
}
{
  "reference": "ABC123DEF",
  "id": "61b05c4f-3f72-4951-8c30-a2a9faaa5184",
  "scheme": "core",
  "language": "french",
  "status": "sent",
  "mode": "redirect",
  "is_deleted": false,
  "debtor": {
    "name": "John Doe",
    "iban": "FR2512739000308553756377J95",
    "address": {
      "street": "1 rue Rivoli",
      "postal_code": "75004",
      "city": "Paris",
      "country": "FR"
    }
  },
  "contract_reference": "CUST-1234",
  "debtor_email": "foo@bar.com",
  "signature_url": "https://client.memo.bank/mandate/abc123",
  "redirect_uri": "https://example.com/signed"
}